<%
##
# This partial creates nested fields in the context of a form (#form_for). It
# can not be used standalone.
#
# Provide these locals:
#
# :form => ActionView::Helpers::FormBuilder
#          - thats the object you are running over with #form_for
#          - its #object must be an instance of Organization, Security,
#            Portfolio or FigureVar
#
# :user => User
#          - make sure that user has authenticated!
#
accepts = [ Organization, Security, Portfolio, FigureVar, User ]
unless accepts.include? form.object.class
    raise ':form.object should be one of %s' % accepts.join(' ')
end

%>
<fieldset id='bookmarks'>
 <legend>Bookmarks</legend>
    <%= form.fields_for :Bookmark, form.object.bookmarks_for_form(user) do |br| %>
        <%= br.text_field :name, :min=>3, :value=>br.object.name, :placeholder=>'Name' %>
        <%= br.url_field  :url, :value=>br.object.url, :placeholder=>'URL' %>
        <%= br.select :rank, options_for_select(Bookmark.ranks_for_form, :prompt=>'-- Specify Rank --', :selected=>br.object.rank) %>
        <br/>
    <% end %>
</fieldset>
